Subject: Re: CCL:PC vs. RISC timings

From: [email-masked] (Graham Hurst)
Date: Wed, 17 Aug 1994 12:41:25 -0400

One certainly had to reply quickly to get included in the summary!

A similar question came up about a month ago, and I replied with:

> Here are some timings for HyperChem, written in C, for comparison.
> 
> MNDO energy and gradient for C60, converged to 1e-2, without DIIS:
> 
> Computer                  Time (s)     Rel. speed
> 486DX 50 MHz                375             1
> Pentium 90 MHz              87.6           4.28
> SGI Indy 100 Mhz            77.8           4.82
> IBM RS/6000-250 66 MHz      51.8           7.24
> DEC 3000 200 MHz (I think)  42.4           8.84
> 
> The first two numbers are for full HyperChem (user interface and
> calculation module) running on the same processor under Windows 3.11.
> The last three are for the computation module running on the unix
> computer with the HyperChem user interface running on a 486.  All
> times are wall clock times for start to finish observed on the PC.

The Indy uses an R4000 chip, the IBM 250 uses a PowerPC 601 chip and
the DEC uses an Alpha chip.

As John McKelvey points out, the compiler can make a huge difference
in approaching "peak" chip speed, and in many cases the speed of
RISC computers is due to close interaction between chip and compiler
designers.  Of course such cooperation need not be exclusive to RISC...

If the orignal poster was looking for a machine strictly for running
modelling or his own floating-point intensive code, then RISC would
be preferable.

If, as I inferred from the original post, he was looking for a *personal*
computer, then I would choose a Pentium.  It's no slouch for speed
(even for floating point) and the wealth of software available far
surpasses any RISC.  90 MHz Pentium PCs are increasingly affordable
too - they are now around $3000.

Of course most RISC's can run most PC software via emulation (with the
usual notable exception of code requiring 386s or better), but there is
(so far) a huge performance hit with emulation.  RISC machines
like the above are slower than the 486DX50 when running PC software
under emulation (see the May 26 PC Magazine for benchmarks).
A future PowerPC is supposed to have hardware Intel emulation, and
some PC apps recompiled for RISCs are in the pipeline, but the
Pentium and its successors are by no means doomed...

Cheers,

Graham
------------
Graham Hurst ([email-masked])
Hypercube Inc, 7-419 Phillip St, Waterloo, Ont, Canada N2L 3X2 (519)725-4040
Info requests to: [email-masked]    Support questions to: [email-masked]
Email group: Send "subscribe hyperchem" to [email-masked]